Bug 603560 - [abrt] crash in telepathy-mission-control-1:5.4.2-1.fc12: raise: Process /usr/libexec/mission-control-5 was killed by signal 6 (SIGABRT)
[abrt] crash in telepathy-mission-control-1:5.4.2-1.fc12: raise: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:7f22a41df33f4c137148ea34bd7...
: Reopened
: 606568 615717 619960 620850 631628 645938 650553 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 16:41 EDT by Tim McConnell
Modified: 2010-12-03 08:53 EST (History)
10 users (show)

See Also:
Fixed In Version: telepathy-mission-control-5.4.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.76 KB, text/plain)
2010-06-13 16:41 EDT, Tim McConnell
no flags Details

  None (edit)
Description Tim McConnell 2010-06-13 16:41:15 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/mission-control-5
comment: Trying to add Yahoo Chat account 
component: telepathy-mission-control
crash_function: raise
executable: /usr/libexec/mission-control-5
global_uuid: 7f22a41df33f4c137148ea34bd7e46a61f45baa1
kernel: 2.6.32.12-115.fc12.i686.PAE
package: telepathy-mission-control-1:5.4.2-1.fc12
rating: 4
reason: Process /usr/libexec/mission-control-5 was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
Comment 1 Tim McConnell 2010-06-13 16:41:17 EDT
Created attachment 423692 [details]
File: backtrace
Comment 2 Fedora Update System 2010-06-18 17:21:10 EDT
telepathy-mission-control-5.4.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/telepathy-mission-control-5.4.3-1.fc12
Comment 3 Fedora Update System 2010-06-21 17:32:44 EDT
telepathy-mission-control-5.4.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-mission-control'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/telepathy-mission-control-5.4.3-1.fc12
Comment 4 Fedora Update System 2010-07-08 14:13:18 EDT
telepathy-mission-control-5.4.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tim McConnell 2010-07-08 15:15:23 EDT
From abrt after installing 4 more debug packages:
warning: core file may not match specified executable file.
Core was generated by `/usr/libexec/mission-control-5'.
Program terminated with signal 6, Aborted.
#0  0x00e59424 in __kernel_vsyscall ()

Thread 1 (Thread 3233):
#0  0x00e59424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a84a81 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = 12369908
        selftid = 3233
#2  0x00a8634a in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x8ca0800, sa_sigaction = 
    0x8ca0800}, sa_mask = {__val = {4, 147300904, 16, 1, 16, 8, 13799844, 0, 
    13201787, 0, 11326209, 12374912, 2312, 13799844, 147438856, 0, 
    3213117496, 13108215, 0, 147350944, 135, 13799844, 13799844, 147438856, 
    3213117672, 13233865, 147438856, 0, 3213117644, 4, 4294967295, 0}}, 
          sa_flags = -1081849704, sa_restorer = 
    0xca9f38 <IA__g_get_charset+72>}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x00c9f3df in IA__g_assertion_message (domain=0x5a048a4 "tp-glib", file=
    0x5a07e53 "connection-manager.c", line=618, func=
    0x5a10cc0 "tp_connection_manager_got_protocols", message=
    0x8c8c8c0 "assertion failed: (self->priv->found_protocols == NULL)")
    at gtestutils.c:1302
        lstr = 
    "618\000\366\310\310\b\233t\315\000\210I\204\277\264];\000\346\251\254\000\000[\311\b\213\063:"
        s = 0x8ca0800 ""
#4  0x00c9f97e in IA__g_assertion_message_expr (domain=0x5a048a4 "tp-glib", 
    file=0x5a07e53 "connection-manager.c", line=618, func=
    0x5a10cc0 "tp_connection_manager_got_protocols", expr=
    0x5a1069c "self->priv->found_protocols == NULL") at gtestutils.c:1313
        s = 
    0x8c8c8c0 "assertion failed: (self->priv->found_protocols == NULL)"
#5  0x059bc5e2 in tp_connection_manager_got_protocols (
    self=<value optimized out>, protocols=<value optimized out>, 
    error=<value optimized out>, user_data=<value optimized out>, 
    user_object=<value optimized out>) at connection-manager.c:622
        i = <value optimized out>
        iter = <value optimized out>
        __PRETTY_FUNCTION__ = "tp_connection_manager_got_protocols"
#6  0x059bcb6b in _tp_cli_connection_manager_invoke_callback_list_protocols (
    self=<value optimized out>, error=<value optimized out>, 
    args=<value optimized out>, generic_callback=<value optimized out>, 
    user_data=<value optimized out>, weak_object=<value optimized out>)
    at ../telepathy-glib/_gen/tp-cli-connection-manager-body.h:477
        callback = <value optimized out>
#7  0x059eece7 in tp_proxy_pending_call_idle_invoke (p=<value optimized out>)
    at proxy-methods.c:153
        pc = 0x8c9fd58
        invoke = <value optimized out>
        __PRETTY_FUNCTION__ = "tp_proxy_pending_call_idle_invoke"
#8  0x00c761a2 in g_idle_dispatch (source=0x8c90280, callback=
    0x59eec40 <tp_proxy_pending_call_idle_invoke>, user_data=0x8c9fd58)
    at gmain.c:4065
No locals.
#9  0x00c77fb8 in g_main_dispatch (context=0x8c81298) at gmain.c:1960
        dispatch = 0xc76180 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x8c9fd58
        callback = 0x59eec40 <tp_proxy_pending_call_idle_invoke>
        cb_funcs = 0xd294bc
        cb_data = 0x8c9ddb0
        current_source_link = {data = 0x8c90280, next = 0x0}
        source = 0x8c90280
        current = 0x8c7d900
        i = <value optimized out>
#10 IA__g_main_context_dispatch (context=0x8c81298) at gmain.c:2513
No locals.
#11 0x00c7b8e8 in g_main_context_iterate (context=0x8c81298, block=1, 
    dispatch=1, self=0x8c869e0) at gmain.c:2591
        max_priority = -100
        timeout = 0
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = 0x8c85098
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#12 0x00c7bd5f in IA__g_main_loop_run (loop=0x8c85178) at gmain.c:2799
        self = 0x8c869e0
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#13 0x08052831 in mcd_service_run (self=0x8c85410 [McdService])
    at mcd-service.c:195
No locals.
#14 0x08050a18 in main (argc=1, argv=0xbf844d24) at mc-server.c:81
        mcd = 0x8c85410 [McdService]
From        To          Syms Read   Shared Object Library
0x001ba8e0  0x001cbef8  Yes (*)     /usr/lib/libmcclient-5.4.3.so
0x05967910  0x05a03c48  Yes (*)     /usr/lib/libtelepathy-glib.so.0
0x00113ad0  0x0017f088  Yes (*)     /lib/libgio-2.0.so.0
0x00dadc30  0x00daed98  Yes (*)     /lib/libgmodule-2.0.so.0
0x00608620  0x0061a108  Yes (*)     /usr/lib/libdbus-glib-1.so.2
0x0038d230  0x003b93c8  Yes (*)     /lib/libdbus-1.so.3
0x00bd6300  0x00be1c28  Yes (*)     /lib/libpthread.so.0
0x00bf6880  0x00bfa688  Yes (*)     /lib/librt.so.1
0x00d52460  0x00d7d898  Yes (*)     /lib/libgobject-2.0.so.0
0x028ec680  0x028f8568  Yes (*)     /usr/lib/libgnome-keyring.so.0
0x00c50a20  0x00cce328  Yes (*)     /lib/libglib-2.0.so.0
0x00a70990  0x00b7c8a0  Yes (*)     /lib/libc.so.6
0x00beea60  0x00befa88  Yes (*)     /lib/libdl.so.2
0x00d94650  0x00da2b48  Yes (*)     /lib/libresolv.so.2
0x00d30190  0x00d413c8  Yes (*)     /lib/libselinux.so.1
0x00df2da0  0x00df48d8  Yes (*)     /lib/libcap-ng.so.0
0x00a38830  0x00a4fcdf  Yes (*)     /lib/ld-linux.so.2
0x00fe2a00  0x00fea0e8  Yes (*)     /lib/libnss_files.so.2
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
eax            0x0	0
ecx            0xca1	3233
edx            0x6	6
ebx            0xca1	3233
esp            0xbf8447a8	0xbf8447a8
ebp            0xbf8447c0	0xbf8447c0
esi            0x8ca0800	147458048
edi            0xbcbff4	12369908
eip            0xe59424	0xe59424 <__kernel_vsyscall+16>
eflags         0x202	[ IF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function __kernel_vsyscall:
0x00e59414 <__kernel_vsyscall+0>:	push   %ecx
0x00e59415 <__kernel_vsyscall+1>:	push   %edx
0x00e59416 <__kernel_vsyscall+2>:	push   %ebp
0x00e59417 <__kernel_vsyscall+3>:	mov    %esp,%ebp
0x00e59419 <__kernel_vsyscall+5>:	sysenter 
0x00e5941b <__kernel_vsyscall+7>:	nop
0x00e5941c <__kernel_vsyscall+8>:	nop
0x00e5941d <__kernel_vsyscall+9>:	nop
0x00e5941e <__kernel_vsyscall+10>:	nop
0x00e5941f <__kernel_vsyscall+11>:	nop
0x00e59420 <__kernel_vsyscall+12>:	nop
0x00e59421 <__kernel_vsyscall+13>:	nop
0x00e59422 <__kernel_vsyscall+14>:	jmp    0xe59417 <__kernel_vsyscall+3>
0x00e59424 <__kernel_vsyscall+16>:	pop    %ebp
0x00e59425 <__kernel_vsyscall+17>:	pop    %edx
0x00e59426 <__kernel_vsyscall+18>:	pop    %ecx
0x00e59427 <__kernel_vsyscall+19>:	ret    
End of assembler dump.

Trying to add a yahoo account triggered this.
Comment 6 Bug Zapper 2010-11-03 09:15:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Karel Klíč 2010-11-08 13:09:14 EST
*** Bug 606568 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-08 13:09:19 EST
*** Bug 615717 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-08 13:09:24 EST
*** Bug 619960 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-08 13:09:29 EST
*** Bug 620850 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-08 13:09:34 EST
*** Bug 631628 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-11-08 13:09:39 EST
*** Bug 645938 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-11-08 13:09:43 EST
*** Bug 650553 has been marked as a duplicate of this bug. ***
Comment 14 Bug Zapper 2010-12-03 08:53:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.